﻿/*********************************************/
/* BOOTSTRAP OVERRIDE                        */
/* Trying to make this mini thing work       */
/*********************************************/
td p {
    margin: 0;
}

.container,
.container-fluid,
.container-sm,
.container-md,
.container-lg,
.container-xl {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
}

.row {
    margin-right: 0; 
    margin-left: 0;
}

.col, .col-1, .col-2, .col-3, .col-4, .col-5, .col-6, .col-7, .col-8, .col-9, .col-10, .col-11, .col-12 {
    min-height: 20px;
}
    .col label, .col-1 label, .col-2 label, .col-3 label, .col-4 label, .col-5 label,
    .col-6 label, .col-7 label, .col-8 label, .col-9 label, .col-10 label, .col-11 label, .col-12 label {
        height: 100%;
        display: inline-grid;
        align-content: center;
    }

.updateable {
    background-color: yellow;
}

/*********************************************/
/* PERMITTRAX STANDARD CSS                   */
/*********************************************/

.bitco-anchor-menu {
    border-bottom: 2px solid black;
    border-top: 2px solid black;
    overflow: hidden;
}

    .bitco-anchor-menu a {
        margin-right: 40px;
        font-weight: bold;
        text-transform: uppercase;
    }

    .bitco-anchor-menu i {
        font-size: 1.2em;
    }



.SummaryItemContent p {
    margin: 0px !important;
    padding: 0px !important;
}

.btn-group label {
    min-width: 130px;
    --bs-btn-focus-box-shadow: none;
}

.dropdown-item {
    font-size: 12px;
}


.inspection-item-calendargroup {
    background-color: lightgray;
    border: 1px solid black;
}

/* DASHBOARD ELEMENTS */
.PermitInfoCard {
    margin: 1px 4px 15px 4px;
}

    .PermitInfoCard table {
        width: 100%;
    }

        .PermitInfoCard table tr {
            border-bottom: 1px solid darkgray;
            vertical-align: middle;
            background-color: #EEE;
            font-size: 1.1em;
        }

        .PermitInfoCard table td {
            padding: 3px 5px;
        }

.PermitInfoGroup {
    margin-top: 2px;
    padding: 5px 5px 5px 20px;
    font-size: .9em;
}

.PermitInfoItem {
    font-weight: bold;
    min-width: 65px;
    margin-right: 3px;
    display: inline-block;
    text-transform: uppercase;
}

.PermitInfoItemText {
    text-transform: uppercase;
}



/* FLIP SWITCH CSS */
@charset "UTF-8";

.jq-flipswitch {
    margin: 2rem auto;
    border: 1px solid black;
    width: 200px;
    height: 50px;
    font-size: 1rem;
    color: #FFF;
    -webkit-border-radius: 24px;
    -moz-border-radius: 24px;
    border-radius: 24px;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

    .jq-flipswitch.jq-flipper-left {
        background-color: red;
    }

    .jq-flipswitch.jq-flipper-right {
        background-color: green;
    }

.jq-flipper {
    border: 1px solid black;
    background-color: #EEE;
    background-image: -webkit-linear-gradient(top, #FFF, #EEE);
    background-image: -moz-linear-gradient(top, #FFF, #EEE);
    background-image: -o-linear-gradient(top, #FFF, #EEE);
    background-image: linear-gradient(top, #FFF, #EEE);
}

.jq-flipswitch .jq-flipper {
    -webkit-border-radius: 24px;
    -moz-border-radius: 24px;
    border-radius: 24px;
}


/* FEE EDITOR CSS */

.feeTable {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    padding: 0;
    margin: 0;
    cursor: auto;
    position: relative;
    width: 100%;
    margin-bottom: 10px;
}

    .feeTable th {
        background-color: lightgray;
        padding: 2px;
        text-transform: uppercase;
        text-align: center;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        position: sticky;
        top: -1px;
        font-size: 1.2em;
        border-top-color: black;
        border-bottom: 1px solid black;
    }

    .feeTable tbody:before {
        content: "@";
        display: block;
        line-height: 5px;
        text-indent: -99999px;
    }

.feeGroup td {
    text-align: left;
    font-size: 1em;
    font-weight: bold;
    padding: 3px 2px;
    border-bottom: 1px solid gray;
    background-color: rgba(211,211,211,.5);
}

.feeItem td {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden;
    padding: 3px;
    border: 1px solid rgba(230,225,225,0.3);
}


.feeItem:hover {
    background-color: blanchedalmond;
    cursor: pointer;
}

/* SCRIPT EDITOR */
.CodeMirror {
    border: 1px solid lightgray;
    height: 100% !important;
}



.ui-selected,
.ui-selecting {
    border: 2px solid blue;
}

#SCREENEDITOR [pt_dmn], #SCREENEDITOR [pt_dmn] > * {
    cursor: move !important;
}

.tabobj {
    border: 1px solid #000000;
    padding: 1px;
    margin: 0;
    font-family: 'Courier New', Courier, monospace;
    font-size: 0.714em;
    background-color: #FFFF99;
    position: absolute;
    overflow: hidden;
    cursor: pointer;
    z-index: 1001;
    width: 20px;
    display: inline;
    color: #000066;
    text-align: center;
}

.screengrid {
    background-image: repeating-linear-gradient(0deg,transparent,transparent 9px,rgba(238,238,238,.5) 9px,rgba(238,238,238,.5) 10px),repeating-linear-gradient(-90deg,transparent,transparent 9px,rgba(238,238,238,.5) 9px,rgba(238,238,238,.5) 10px);
    background-size: 10px 10px;
    height: 100%;
    position: absolute;
    width: 100%;
}



.Function-Title {
    width: 100%;
    border-top-width: 2px;
    border-bottom-style: solid;
    border-bottom-color: #666666;
    background-color: #CCCCCC;
    color: #000000;
    text-align: center;
    text-transform: uppercase;
    font-weight: bold;
}

.Function-TitleLabel {
    font-size: 1.286em;
}





/* AutoComplete CSS */

.autocomplete-suggestions {
    border: 1px solid #999;
    background: #f7f7f7;
    overflow: auto;
    border-radius: 5px;
}

.autocomplete-suggestion {
    padding: 2px 5px;
    white-space: nowrap;
    overflow: hidden;
    cursor: pointer;
}

.autocomplete-selected {
    background: #F0F0F0;
}

.autocomplete-suggestions strong {
    font-weight: 500;
    color: #ff0000;
}

.autocomplete-group {
    padding: 2px 5px;
}

    .autocomplete-group strong {
        display: block;
        border-bottom: 1px solid #000;
    }


/* HTML Editor */

.trumbowyg-editor {
    background-color: white;
    height: 260px;
}


/* CITIZEN HTML CSS DIV */
.citizen_editor_css{
    padding: 0px;
}

.citizen_css {
    font-size: 12px;
    margin: 0;
    background-color: white;
    font-family: Arial, Helvetica, sans-serif;
}
    .citizen_css h1 {
        display: block;
        font-size: 2em;
        margin-top: 0.67em;
        margin-bottom: 0.67em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }

    .citizen_css h2 {
        display: block;
        font-size: 1.5em;
        margin-top: 0.83em;
        margin-bottom: 0.83em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }

    .citizen_css h3 {
        display: block;
        font-size: 1.17em;
        margin-top: 1em;
        margin-bottom: 1em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }

    .citizen_css h4 {
        display: block;
        font-size: 1em;
        margin-top: 1.33em;
        margin-bottom: 1.33em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }

    .citizen_css h5 {
        display: block;
        font-size: .83em;
        margin-top: 1.67em;
        margin-bottom: 1.67em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }

    .citizen_css h6 {
        display: block;
        font-size: .67em;
        margin-top: 2.33em;
        margin-bottom: 2.33em;
        margin-left: 0;
        margin-right: 0;
        font-weight: bold;
    }



    .citizen_css hr {
        display: block;
        margin-top: 0.5em;
        margin-bottom: 0.5em;
        margin-left: auto;
        margin-right: auto;
        border-style: inset;
        border-width: 1px;
    }

    .citizen_css table {
        border-collapse: collapse;
    }

/* BLAZOR ERROR CSS */

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }



/* MENU ITEM ICONS / MENU */

.menu-item-container {
    display: inline-block;
    margin: 8px;
    text-align: center;
    cursor: pointer;
    height: 45px;
}



.menu-item-icon {
    border: 1px solid black;
    border-radius: 5px;
    width: 45px;
    display: inline-flex;
    justify-content: center;
    box-shadow: rgba(0, 0, 0, 0.15) 1.95px 1.95px 2.6px;
    padding: 5px;
    transition: transform 1.3s ease-in-out;
}

    .menu-item-icon:hover {
        box-shadow: rgba(14, 30, 37, 0.12) 0px 2px 4px 0px, rgba(14, 30, 37, 0.32) 0px 2px 16px 0px;
        transform: scale(1.3);
    }

    .menu-item-icon i {
        font-size: 25px;
    }

.menu-item-label {
    font-size: 0.8em;
    padding: 3px 0px;
}

.page-selected {
    color: red;
    text-decoration: underline;
    font-weight: bold;
}

.info-bubble {
    left: -20px;
    top: -10px;
    font-size: 1em;
}

/* Gradient transparent - color - transparent */

.hrGradient {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

/* Summary Screens */

.SummarySmall {
    padding: 2px 3px;
}

.Summary {
    padding: 10px 3px;
}

.SummaryHeader {
    color: #000000;
    text-transform: uppercase;
    font-weight: bold;
    font-size: 1.4em;
    background-color: lightgray;
    border: 1px solid darkgray;
    line-height: 30px;
    margin: 1px;
    align-items: center;
}

.SummaryLockHeader {
    background-color: red;
    color: #ffffff;
}

.SummaryMessageHeader {
    background-color: green;
    color: #ffffff;
}

.SummaryIcon {
    cursor: pointer;
    margin: 0px 6px;
    text-shadow: 2px 2px 5px #929292;
}

    .SummaryIcon:hover {
        text-decoration: underline;
    }

    .SummaryIcon i {
        margin-right: 6px;
    }

.SummaryMessages {
    border: 1px solid lightgray;
    margin: 0px 1px;
    background-color: white;
}

.SummaryItemHeader {
    border-bottom: 1px solid lightgray;
    vertical-align: middle;
    background-color: #F4F4F4;
    font-size: 1.1em;
    padding: 3px;
}

.SummaryItemContent {
    padding: 10px 15px;
}




/* Review Clock */

.rvClock{
    padding: 2px;
    font-size: 14px;
    display: contents;
}

.rvClockImage {
    width: 25px;
}

.rvClockStopped {
    background-color: lightcoral;
}

.rvClockStarted {
    background-color: lightgreen;
}

.rvClockCompleted, .rvClockNotStarted {
    background-color: lightgray;
}

span.rvClockCompleted {
    font-weight: bold;
    color: white;
    background-color: indianred;
    padding: 5px;
}